<?php

namespace App\Tests\acceptance;

class UserCapsuleGroupsPageTest extends BasePageTest
{
    public function testUserShouldAccessToCapsuleGroupCreationPage(): void
    {
        $this->client->clickLink('Create a new group');
        $this->assertResponseIsSuccessful('The user should access capsule group creation');
    }

    public function testUserShouldAccessDeleteGroupPageFromUserCapsuleGroupList(): void
    {
        $this->clickLink('Delete', 'The user should access to its capsule groups list');
        $this->assertResponseIsSuccessful(
            'The user should be able to delete one group from the user the capsule groups page'
        );
    }

    protected function setUp(): void
    {
        parent::setUp();
        $this->setCapsuleGroupPage();
    }

    private function setCapsuleGroupPage(): void
    {
        $this->givenUser('defaultUser@localhost.com')
            ->logged()
            ->onPage('en/my_groups');
        $this->assertResponseIsSuccessful();
    }
}
